/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model222
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model222 {
  @SerializedName("product_code")
  private String productCode = null;

  @SerializedName("quote_code")
  private String quoteCode = null;

  @SerializedName("name")
  private String name = null;

  @SerializedName("description")
  private String description = null;

  @SerializedName("coverages")
  private Model215 coverages = null;

  @SerializedName("prices")
  private Model217 prices = null;

  @SerializedName("attachments")
  private Model19 attachments = null;

  @SerializedName("consents")
  private Model219 consents = null;

  @SerializedName("disclaimers")
  private Model221 disclaimers = null;

  @SerializedName("payment_periodicities")
  private Model178 paymentPeriodicities = null;

  public Model222 productCode(String productCode) {
    this.productCode = productCode;
    return this;
  }

   /**
   * Product code
   * @return productCode
  **/
  @ApiModelProperty(example = "KV5-33", required = true, value = "Product code")
  public String getProductCode() {
    return productCode;
  }

  public void setProductCode(String productCode) {
    this.productCode = productCode;
  }

  public Model222 quoteCode(String quoteCode) {
    this.quoteCode = quoteCode;
    return this;
  }

   /**
   * Quote code.
   * @return quoteCode
  **/
  @ApiModelProperty(example = "eJxVj8FuwjAMht8l5wq1ULapt5J2FRJbUGh6rUIbokgs6UwibUJ99yUrReCT/X/2b/uKvp2xSksqTii7oo5bfjYSm16gDOG8znekajEpShTNsBFwUUY/8Kakhy35DC3GaQu/nr3TUDoAobtQlywIZ66l4zKYn6CdekBZAYqH9Zhu6zbxsMl3rPRZNElLlCXL1SJdjxGSYNxwO7CihO3n8y7uWD2wA9u0T3wA82W6Ce4p+SAzED+DAm79TwW3nibrJH19Sd/ieBHPMf7P966z+O5QMFxPHuMftUdkCw==", required = true, value = "Quote code.")
  public String getQuoteCode() {
    return quoteCode;
  }

  public void setQuoteCode(String quoteCode) {
    this.quoteCode = quoteCode;
  }

  public Model222 name(String name) {
    this.name = name;
    return this;
  }

   /**
   * Product name
   * @return name
  **/
  @ApiModelProperty(example = "Advanced", value = "Product name")
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Model222 description(String description) {
    this.description = description;
    return this;
  }

   /**
   * Product marketing description
   * @return description
  **/
  @ApiModelProperty(example = "Advanced for more guarantees", value = "Product marketing description")
  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public Model222 coverages(Model215 coverages) {
    this.coverages = coverages;
    return this;
  }

   /**
   * Get coverages
   * @return coverages
  **/
  @ApiModelProperty(required = true, value = "")
  public Model215 getCoverages() {
    return coverages;
  }

  public void setCoverages(Model215 coverages) {
    this.coverages = coverages;
  }

  public Model222 prices(Model217 prices) {
    this.prices = prices;
    return this;
  }

   /**
   * Get prices
   * @return prices
  **/
  @ApiModelProperty(required = true, value = "")
  public Model217 getPrices() {
    return prices;
  }

  public void setPrices(Model217 prices) {
    this.prices = prices;
  }

  public Model222 attachments(Model19 attachments) {
    this.attachments = attachments;
    return this;
  }

   /**
   * Get attachments
   * @return attachments
  **/
  @ApiModelProperty(value = "")
  public Model19 getAttachments() {
    return attachments;
  }

  public void setAttachments(Model19 attachments) {
    this.attachments = attachments;
  }

  public Model222 consents(Model219 consents) {
    this.consents = consents;
    return this;
  }

   /**
   * Get consents
   * @return consents
  **/
  @ApiModelProperty(value = "")
  public Model219 getConsents() {
    return consents;
  }

  public void setConsents(Model219 consents) {
    this.consents = consents;
  }

  public Model222 disclaimers(Model221 disclaimers) {
    this.disclaimers = disclaimers;
    return this;
  }

   /**
   * Get disclaimers
   * @return disclaimers
  **/
  @ApiModelProperty(value = "")
  public Model221 getDisclaimers() {
    return disclaimers;
  }

  public void setDisclaimers(Model221 disclaimers) {
    this.disclaimers = disclaimers;
  }

  public Model222 paymentPeriodicities(Model178 paymentPeriodicities) {
    this.paymentPeriodicities = paymentPeriodicities;
    return this;
  }

   /**
   * Get paymentPeriodicities
   * @return paymentPeriodicities
  **/
  @ApiModelProperty(value = "")
  public Model178 getPaymentPeriodicities() {
    return paymentPeriodicities;
  }

  public void setPaymentPeriodicities(Model178 paymentPeriodicities) {
    this.paymentPeriodicities = paymentPeriodicities;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model222 model222 = (Model222) o;
    return Objects.equals(this.productCode, model222.productCode) &&
        Objects.equals(this.quoteCode, model222.quoteCode) &&
        Objects.equals(this.name, model222.name) &&
        Objects.equals(this.description, model222.description) &&
        Objects.equals(this.coverages, model222.coverages) &&
        Objects.equals(this.prices, model222.prices) &&
        Objects.equals(this.attachments, model222.attachments) &&
        Objects.equals(this.consents, model222.consents) &&
        Objects.equals(this.disclaimers, model222.disclaimers) &&
        Objects.equals(this.paymentPeriodicities, model222.paymentPeriodicities);
  }

  @Override
  public int hashCode() {
    return Objects.hash(productCode, quoteCode, name, description, coverages, prices, attachments, consents, disclaimers, paymentPeriodicities);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model222 {\n");
    
    sb.append("    productCode: ").append(toIndentedString(productCode)).append("\n");
    sb.append("    quoteCode: ").append(toIndentedString(quoteCode)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("    coverages: ").append(toIndentedString(coverages)).append("\n");
    sb.append("    prices: ").append(toIndentedString(prices)).append("\n");
    sb.append("    attachments: ").append(toIndentedString(attachments)).append("\n");
    sb.append("    consents: ").append(toIndentedString(consents)).append("\n");
    sb.append("    disclaimers: ").append(toIndentedString(disclaimers)).append("\n");
    sb.append("    paymentPeriodicities: ").append(toIndentedString(paymentPeriodicities)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

